<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_6f65d5feee27b320b6f778" . "5c82762a72" => base64_decode("dXNlcnNfbGlzdC5" . "2aXNpYmxl"), "_923b46b96" . "d9db24c4fa" . "a35027fc77" . "b71" => base64_decode("Q29udHJvbCBjYW4ndCBpbnB1dCB0a" . "GUgZGF0YQ=="), "_4be538b2f65f8d8" . "f8dde8a914f61007" . "6" => base64_decode("Vmll" . "dw=="), "ri" . "gh" . "ts" => base64_decode("cmlnaH" . "Rz"));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["rig" . "hts"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4be538b2f65f8d8" . "f8dde8a914f61007" . "6"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_923b46b96d9db24" . "c4faa35027fc77b7" . "1"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["ri" . "gh" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6f65d5fee" . "e27b320b6f" . "7785c82762" . "a72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4be538b2f65f8d8f8dde8a914f6100" . "76"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["righ" . "ts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}